### Constructor

# Gtk TreeStore new

#### Declaration [src]

    GtkTreeStore*
    gtk_tree_store_new (
      int n_columns,
      ...
    )

#### Description [src]

Creates a new tree store as with `n_columns` columns each of the types passed in. Note that only types derived from standard GObject fundamental types are supported.

As an example,

    gtk_tree_store_new (3, G_TYPE_INT, G_TYPE_STRING, GDK_TYPE_TEXTURE);

will create a new `GtkTreeStore` with three columns, of type `int`, `gchararray`, and `GdkTexture` respectively.

#### Parameters

`n_columns` | `int`
| Number of columns in the tree store.
`...` | ``
| All `GType` types for the columns, from first to last.

#### Return value

Returns: | `GtkTreeStore`
| A new `GtkTreeStore`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.